> ## Documentation Index
> Fetch the complete documentation index at: https://usenaive.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Web Search

> POST /v1/search — Search the web for information.

<ParamField body="query" type="string" required>
  Search query
</ParamField>

<ParamField body="count" type="number" default="5">
  Number of results (max 20)
</ParamField>

<RequestExample>
  ```bash theme={"theme":"css-variables"}
  curl -X POST https://api.usenaive.ai/v1/search \
    -H "Authorization: Bearer nv_sk_live_..." \
    -H "Content-Type: application/json" \
    -d '{ "query": "latest AI agent frameworks 2026", "count": 10 }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={"theme":"css-variables"}
  {
    "results": [
      {
        "title": "Top AI Agent Frameworks in 2026",
        "url": "https://example.com/article",
        "snippet": "A comprehensive look at...",
        "score": 0.95
      }
    ],
    "credits_used": 0.2,
    "credits_remaining": 989.8,
    "provider": "web"
  }
  ```
</ResponseExample>

**Cost:** 0.2 credits
